/// <reference types="react" />
import * as React from 'react';
export interface CalendarMonthRenderProps {
    days: Array<Array<DayOfMonth | null>>;
    month: Date;
    dropdownMonths?: CalendarDropdownProps[];
    dropdownYears?: CalendarDropdownProps[];
}
export interface CalendarDropdownProps {
    value: number;
    selected: boolean;
    disabled: boolean;
}
export interface DayOfMonth {
    date: Date;
    inRange: boolean;
    selected: boolean;
    disabled: boolean;
}
export interface CalendarMonthProps {
    /**
     * Current Month
     */
    month: Date;
    /**
     * The start of the initially selected date range
     */
    startDate?: Date;
    /**
     * The end of the initially selected date range
     */
    endDate?: Date;
    /**
     * The earliest date a user may select
     */
    minDate?: Date;
    /**
     * The latest date a user may select
     */
    maxDate?: Date;
    /**
     * If set as `true`, shows **month** and **year** dropdowns above the calendar
     */
    showDropdowns?: boolean;
    /**
     *
     */
    render(props: CalendarMonthRenderProps): React.ReactNode;
}
/**
 * A Calendar Month
 *
 * @see examples/SimpleDatePicker.tsx
 */
export declare class CalendarMonth extends React.Component<CalendarMonthProps> {
    private dropdownMonths?;
    private dropdownYears?;
    constructor(props: CalendarMonthProps);
    componentWillReceiveProps(nextProps: CalendarMonthProps): void;
    private getDaysofMonth(props);
    getDropDowns: (props: CalendarMonthProps) => [CalendarDropdownProps[], CalendarDropdownProps[]];
    render(): React.ReactNode;
}
